package com.gh.base

import android.app.Activity
import java.lang.ref.WeakReference

object GlobalActivityManager {
    private var mCurrentActivityWeakRef: WeakReference<Activity>? = null

    var currentActivity: Activity?
        get() = mCurrentActivityWeakRef?.get()
        set(activity) {
            mCurrentActivityWeakRef = WeakReference<Activity>(activity)
        }
}